org.springframework.web.reactive.function.server

## Interface RenderingResponse

All Superinterfaces:
  ServerResponse

    public interface RenderingResponse
    extends ServerResponse

Rendering-specific subtype of `ServerResponse` that exposes model and template data.

Since:
  5.0
Author:
  Arjen Poutsma, Juergen Hoeller

### Nested Class Summary

Nested Classes
`static interface` `RenderingResponse.Builder` Defines a builder for `RenderingResponse`.

### Nested classes/interfaces inherited from interface org.springframework.web.reactive.function.server.ServerResponse

`ServerResponse.BodyBuilder, ServerResponse.Context, ServerResponse.HeadersBuilder<B extends ServerResponse.HeadersBuilder<B>>`

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Default Methods
`static RenderingResponse.Builder` `create(String name)` Create a builder with the given template name.
`static RenderingResponse.Builder` `from(RenderingResponse other)` Create a builder with the template name, status code, headers and model of the given response.
`Map<String,Object>` `model()` Return the unmodifiable model map.
`String` `name()` Return the name of the template to be rendered.

### Methods inherited from interface org.springframework.web.reactive.function.server.ServerResponse

`accepted, badRequest, cookies, created, from, headers, noContent, notFound, ok, permanentRedirect, rawStatusCode, seeOther, status, status, statusCode, temporaryRedirect, unprocessableEntity, writeTo`

### Method Detail

#### name

    String name()

Return the name of the template to be rendered.

#### model

    Map<String,Object> model()

Return the unmodifiable model map.

#### from

    static RenderingResponse.Builder from(RenderingResponse other)

Create a builder with the template name, status code, headers and model of the given response.

Parameters:
  `other` - the response to copy the values from
Returns:
  the created builder

#### create

    static RenderingResponse.Builder create(String name)

Create a builder with the given template name.

Parameters:
  `name` - the name of the template to render
Returns:
  the created builder